/*
 * TasksListener.java
 */

package com.builder.uk.todotasks;

import java.util.EventListener;

/**
 * Interface to be implements by any class which wishes to recieve notifications
 * of changes in a Tasks class.
 */
public interface TasksListener extends EventListener {
    /**
     * invoked when a TasksEvent has occurred.
     * @param tasksevent TasksEvent which describes the changes made
     */
    public void tasksChanged(TasksEvent tasksevent);
}
